/**
* @module vue-mdc-adaptergrid-list 0.15.0
* @exports VueMDCGridList
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.35.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCGridList=e()}(this,function(){"use strict";var t=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},e=function(){function t(t,e){for(var i=0;i<e.length;i++){var n=e[i];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(t,n.key,n)}}return function(e,i,n){return i&&t(e.prototype,i),n&&t(e,n),e}}(),i=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var n in i)Object.prototype.hasOwnProperty.call(i,n)&&(t[n]=i[n])}return t},n=function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)},a=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},r={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(t){if(t&&this.$emit(t.type,t),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}},computed:{listeners:function(){var t=this;return i({},this.$listeners,{click:function(e){return t.dispatchEvent(e)}})}}},s=function(){function i(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};t(this,i),this.adapter_=e}return e(i,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),e(i,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),i}(),o=(function(){function i(e){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;t(this,i),this.root_=e;for(var a=arguments.length,r=Array(a>2?a-2:0),s=2;s<a;s++)r[s-2]=arguments[s];this.initialize.apply(this,r),this.foundation_=void 0===n?this.getDefaultFoundation():n,this.foundation_.init(),this.initialSyncWithDOM()}e(i,null,[{key:"attachTo",value:function(t){return new i(t,new s)}}]),e(i,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(t,e){this.root_.addEventListener(t,e)}},{key:"unlisten",value:function(t,e){this.root_.removeEventListener(t,e)}},{key:"emit",value:function(t,e){var i=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=void 0;"function"==typeof CustomEvent?n=new CustomEvent(t,{detail:e,bubbles:i}):(n=document.createEvent("CustomEvent")).initCustomEvent(t,i,!1,e),this.root_.dispatchEvent(n)}}])}(),{TILES_SELECTOR:".mdc-grid-list__tiles",TILE_SELECTOR:".mdc-grid-tile"}),c=function(r){function c(e){t(this,c);var n=a(this,(c.__proto__||Object.getPrototypeOf(c)).call(this,i(c.defaultAdapter,e)));return n.resizeHandler_=function(){return n.alignCenter()},n.resizeFrame_=0,n}return n(c,s),e(c,null,[{key:"strings",get:function(){return o}},{key:"defaultAdapter",get:function(){return{getOffsetWidth:function(){return 0},getNumberOfTiles:function(){return 0},getOffsetWidthForTileAtIndex:function(){return 0},setStyleForTilesElement:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){}}}}]),e(c,[{key:"init",value:function(){this.alignCenter(),this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"alignCenter",value:function(){var t=this;0!==this.resizeFrame_&&cancelAnimationFrame(this.resizeFrame_),this.resizeFrame_=requestAnimationFrame(function(){t.alignCenter_(),t.resizeFrame_=0})}},{key:"alignCenter_",value:function(){if(0!=this.adapter_.getNumberOfTiles()){var t=this.adapter_.getOffsetWidth(),e=this.adapter_.getOffsetWidthForTileAtIndex(0),i=e*Math.floor(t/e);this.adapter_.setStyleForTilesElement("width",i+"px")}}}]),c}(),u={render:function(){var t=this.$createElement,e=this._self._c||t;return e("div",{staticClass:"mdc-grid-list"},[e("ul",{staticClass:"mdc-grid-list__tiles",class:this.classes,style:this.styles},[this._t("default")],2)])},staticRenderFns:[],name:"mdc-grid-list",props:{width:[String,Number],ratio:String,"narrow-gutter":Boolean,"header-caption":Boolean,"icon-align-start":Boolean,"icon-align-end":Boolean,"with-support-text":Boolean,interactive:Boolean},provide:function(){return{mdcGrid:this}},computed:{classes:function(){var t={};return t["mdc-grid-list--tile-gutter-1"]=this.narrowGutter,t["mdc-grid-list--header-caption"]=this.headerCaption,t["mdc-grid-list--tile-aspect-"+this.ratio]=this.ratio,t["mdc-grid-list--with-icon-align-start"]=this.iconAlignStart,t["mdc-grid-list--with-icon-align-end"]=this.iconAlignEnd,t["mdc-grid-list--twoline-caption"]=this.withSupportText,t["mdc-grid-list--non-interactive"]=!this.interactive,t},styles:function(){return{"--mdc-grid-list-tile-width":(this.width||200)+"px"}}},mounted:function(){var t=this;this.foundation=new c({getOffsetWidth:function(){return t.$el.offsetWidth},getNumberOfTiles:function(){return t.$el.querySelectorAll(c.strings.TILE_SELECTOR).length},getOffsetWidthForTileAtIndex:function(e){return t.$el.querySelectorAll(c.strings.TILE_SELECTOR)[e].offsetWidth},setStyleForTilesElement:function(e,i){t.$el.querySelector(c.strings.TILES_SELECTOR).style[e]=i},registerResizeHandler:function(t){window.addEventListener("resize",t)},deregisterResizeHandler:function(t){window.removeEventListener("resize",t)}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()}},d=(function(){function i(){t(this,i)}e(i,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(t){}},{key:"removeClass",value:function(t){}},{key:"containsEventTarget",value:function(t){}},{key:"registerInteractionHandler",value:function(t,e){}},{key:"deregisterInteractionHandler",value:function(t,e){}},{key:"registerDocumentInteractionHandler",value:function(t,e){}},{key:"deregisterDocumentInteractionHandler",value:function(t,e){}},{key:"registerResizeHandler",value:function(t){}},{key:"deregisterResizeHandler",value:function(t){}},{key:"updateCssVariable",value:function(t,e){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),l={VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},f={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,TAP_DELAY_MS:300},v=void 0,_=void 0;function h(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,e=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===_||e){var i=!1;try{t.document.addEventListener("test",null,{get passive(){i=!0}})}catch(t){}_=i}return!!_&&{passive:!0}}
/**
     * @license
     * Copyright 2016 Google Inc. All Rights Reserved.
     *
     * Licensed under the Apache License, Version 2.0 (the "License");
     * you may not use this file except in compliance with the License.
     * You may obtain a copy of the License at
     *
     *      http://www.apache.org/licenses/LICENSE-2.0
     *
     * Unless required by applicable law or agreed to in writing, software
     * distributed under the License is distributed on an "AS IS" BASIS,
     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     * See the License for the specific language governing permissions and
     * limitations under the License.
     */
var p,m=["touchstart","pointerdown","mousedown","keydown"],g=["touchend","pointerup","mouseup"],y=[],A=function(r){function o(e){t(this,o);var n=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,i(o.defaultAdapter,e)));return n.layoutFrame_=0,n.frame_={width:0,height:0},n.activationState_=n.defaultActivationState_(),n.initialSize_=0,n.maxRadius_=0,n.activateHandler_=function(t){return n.activate_(t)},n.deactivateHandler_=function(t){return n.deactivate_(t)},n.focusHandler_=function(){return requestAnimationFrame(function(){return n.adapter_.addClass(o.cssClasses.BG_FOCUSED)})},n.blurHandler_=function(){return requestAnimationFrame(function(){return n.adapter_.removeClass(o.cssClasses.BG_FOCUSED)})},n.resizeHandler_=function(){return n.layout()},n.unboundedCoords_={left:0,top:0},n.fgScale_=0,n.activationTimer_=0,n.fgDeactivationRemovalTimer_=0,n.activationAnimationHasEnded_=!1,n.activationTimerCallback_=function(){n.activationAnimationHasEnded_=!0,n.runDeactivationUXLogicIfReady_()},n.previousActivationEvent_=null,n}return n(o,s),e(o,null,[{key:"cssClasses",get:function(){return d}},{key:"strings",get:function(){return l}},{key:"numbers",get:function(){return f}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},containsEventTarget:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerDocumentInteractionHandler:function(){},deregisterDocumentInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),e(o,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var t=this;if(this.isSupported_()){this.registerRootHandlers_();var e=o.cssClasses,i=e.ROOT,n=e.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.addClass(i),t.adapter_.isUnbounded()&&(t.adapter_.addClass(n),t.layoutInternal_())})}}},{key:"destroy",value:function(){var t=this;if(this.isSupported_()){if(this.activationTimer_){clearTimeout(this.activationTimer_),this.activationTimer_=0;var e=o.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(e)}this.deregisterRootHandlers_(),this.deregisterDeactivationHandlers_();var i=o.cssClasses,n=i.ROOT,a=i.UNBOUNDED;requestAnimationFrame(function(){t.adapter_.removeClass(n),t.adapter_.removeClass(a),t.removeCssVars_()})}}},{key:"registerRootHandlers_",value:function(){var t=this;m.forEach(function(e){t.adapter_.registerInteractionHandler(e,t.activateHandler_)}),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),this.adapter_.isUnbounded()&&this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"registerDeactivationHandlers_",value:function(t){var e=this;"keydown"===t.type?this.adapter_.registerInteractionHandler("keyup",this.deactivateHandler_):g.forEach(function(t){e.adapter_.registerDocumentInteractionHandler(t,e.deactivateHandler_)})}},{key:"deregisterRootHandlers_",value:function(){var t=this;m.forEach(function(e){t.adapter_.deregisterInteractionHandler(e,t.activateHandler_)}),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter_.isUnbounded()&&this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"deregisterDeactivationHandlers_",value:function(){var t=this;this.adapter_.deregisterInteractionHandler("keyup",this.deactivateHandler_),g.forEach(function(e){t.adapter_.deregisterDocumentInteractionHandler(e,t.deactivateHandler_)})}},{key:"removeCssVars_",value:function(){var t=this,e=o.strings;Object.keys(e).forEach(function(i){0===i.indexOf("VAR_")&&t.adapter_.updateCssVariable(e[i],null)})}},{key:"activate_",value:function(t){var e=this;if(!this.adapter_.isSurfaceDisabled()){var i=this.activationState_;if(!i.isActivated){var n=this.previousActivationEvent_;if(!(n&&t&&n.type!==t.type))i.isActivated=!0,i.isProgrammatic=null===t,i.activationEvent=t,i.wasActivatedByPointer=!i.isProgrammatic&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type),t&&y.length>0&&y.some(function(t){return e.adapter_.containsEventTarget(t)})?this.resetActivationState_():(t&&(y.push(t.target),this.registerDeactivationHandlers_(t)),i.wasElementMadeActive=this.checkElementMadeActive_(t),i.wasElementMadeActive&&this.animateActivation_(),requestAnimationFrame(function(){y=[],i.wasElementMadeActive||" "!==t.key&&32!==t.keyCode||(i.wasElementMadeActive=e.checkElementMadeActive_(t),i.wasElementMadeActive&&e.animateActivation_()),i.wasElementMadeActive||(e.activationState_=e.defaultActivationState_())}))}}}},{key:"checkElementMadeActive_",value:function(t){return!t||"keydown"!==t.type||this.adapter_.isSurfaceActive()}},{key:"activate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(t)}},{key:"animateActivation_",value:function(){var t=this,e=o.strings,i=e.VAR_FG_TRANSLATE_START,n=e.VAR_FG_TRANSLATE_END,a=o.cssClasses,r=a.FG_DEACTIVATION,s=a.FG_ACTIVATION,c=o.numbers.DEACTIVATION_TIMEOUT_MS;this.layoutInternal_();var u="",d="";if(!this.adapter_.isUnbounded()){var l=this.getFgTranslationCoordinates_(),f=l.startPoint,v=l.endPoint;u=f.x+"px, "+f.y+"px",d=v.x+"px, "+v.y+"px"}this.adapter_.updateCssVariable(i,u),this.adapter_.updateCssVariable(n,d),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.activationTimer_=setTimeout(function(){return t.activationTimerCallback_()},c)}},{key:"getFgTranslationCoordinates_",value:function(){var t,e,i,n,a,r,s,o,c,u=this.activationState_,d=u.activationEvent,l=void 0;return u.wasActivatedByPointer?(t=d,e=this.adapter_.getWindowPageOffset(),i=this.adapter_.computeBoundingRect(),n=e.x,a=e.y,r=n+i.left,s=a+i.top,o=void 0,c=void 0,"touchstart"===t.type?(o=t.changedTouches[0].pageX-r,c=t.changedTouches[0].pageY-s):(o=t.pageX-r,c=t.pageY-s),l={x:o,y:c}):l={x:this.frame_.width/2,y:this.frame_.height/2},{startPoint:l={x:l.x-this.initialSize_/2,y:l.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var t=this,e=o.cssClasses.FG_DEACTIVATION,i=this.activationState_,n=i.hasDeactivationUXRun,a=i.isActivated;(n||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(e),this.fgDeactivationRemovalTimer_=setTimeout(function(){t.adapter_.removeClass(e)},f.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var t=o.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(t),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"resetActivationState_",value:function(){var t=this;this.previousActivationEvent_=this.activationState_.activationEvent,this.activationState_=this.defaultActivationState_(),setTimeout(function(){return t.previousActivationEvent_=null},o.numbers.TAP_DELAY_MS)}},{key:"deactivate_",value:function(t){var e=this,n=this.activationState_;if(n.isActivated){var a=i({},n);if(n.isProgrammatic){requestAnimationFrame(function(){return e.animateDeactivation_(null,a)}),this.resetActivationState_()}else this.deregisterDeactivationHandlers_(),requestAnimationFrame(function(){e.activationState_.hasDeactivationUXRun=!0,e.animateDeactivation_(t,a),e.resetActivationState_()})}}},{key:"deactivate",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(t)}},{key:"animateDeactivation_",value:function(t,e){var i=e.wasActivatedByPointer,n=e.wasElementMadeActive;(i||n)&&this.runDeactivationUXLogicIfReady_()}},{key:"layout",value:function(){var t=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){t.layoutInternal_(),t.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){var t=this;this.frame_=this.adapter_.computeBoundingRect();var e=Math.max(this.frame_.height,this.frame_.width);this.maxRadius_=this.adapter_.isUnbounded()?e:Math.sqrt(Math.pow(t.frame_.width,2)+Math.pow(t.frame_.height,2))+o.numbers.PADDING,this.initialSize_=e*o.numbers.INITIAL_ORIGIN_SCALE,this.fgScale_=this.maxRadius_/this.initialSize_,this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var t=o.strings,e=t.VAR_FG_SIZE,i=t.VAR_LEFT,n=t.VAR_TOP,a=t.VAR_FG_SCALE;this.adapter_.updateCssVariable(e,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(i,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(n,this.unboundedCoords_.top+"px"))}},{key:"setUnbounded",value:function(t){var e=o.cssClasses.UNBOUNDED;t?this.adapter_.addClass(e):this.adapter_.removeClass(e)}}]),o}(),C=function(r){function s(e,n){return t(this,s),a(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,i({browserSupportsCssVars:function(){return function(t){var e=arguments.length>1&&void 0!==arguments[1]&&arguments[1],i=v;if("boolean"==typeof v&&!e)return i;if(t.CSS&&"function"==typeof t.CSS.supports){var n=t.CSS.supports("--css-vars","yes"),a=t.CSS.supports("(--css-vars: yes)")&&t.CSS.supports("color","#00000000");return i=!(!n&&!a||function(t){var e=t.document,i=e.createElement("div");i.className="mdc-ripple-surface--test-edge-var-bug",e.body.appendChild(i);var n=t.getComputedStyle(i),a=null!==n&&"solid"===n.borderTopStyle;return i.remove(),a}(t)),e||(v=i),i}}(window)},isUnbounded:function(){return!1},isSurfaceActive:function(){return e.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return e.disabled},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t)},containsEventTarget:function(t){return e.$el.contains(t)},registerInteractionHandler:function(t,i){e.$el.addEventListener(t,i,h())},deregisterInteractionHandler:function(t,i){e.$el.removeEventListener(t,i,h())},registerDocumentInteractionHandler:function(t,e){return document.documentElement.addEventListener(t,e,h())},deregisterDocumentInteractionHandler:function(t,e){return document.documentElement.removeEventListener(t,e,h())},registerResizeHandler:function(t){return window.addEventListener("resize",t)},deregisterResizeHandler:function(t){return window.removeEventListener("resize",t)},updateCssVariable:function(t,i){e.$set(e.styles,t,i)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}}},n)))}return n(s,A),e(s,null,[{key:"isSurfaceActive",value:function(t){return t[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=(t=HTMLElement.prototype,["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(e){return e in t}).pop()));var t}}]),s}(),E={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("li",t._g({staticClass:"mdc-grid-tile",class:[t.classes,t.itemClasses],style:t.styles,attrs:{tabindex:t.isInteractive?"0":void 0}},t.isInteractive?t.listeners:t.clickListener),[t.cover?i("div",{staticClass:"mdc-grid-tile__primary"},[i("div",{staticClass:"mdc-grid-tile__primary-content",style:{backgroundImage:"url("+t.src+")"}})]):i("div",{staticClass:"mdc-grid-tile__primary"},[i("img",{staticClass:"mdc-grid-tile__primary-content",attrs:{src:t.src}})]),t._v(" "),t.title||t.supportText?i("span",{staticClass:"mdc-grid-tile__secondary"},[t.icon?i("i",{staticClass:"mdc-grid-tile__icon material-icons"},[t._v(t._s(t.icon))]):t._e(),t._v(" "),t.title?i("span",{staticClass:"mdc-grid-tile__title"},[t._v(t._s(t.title))]):t._e(),t._v(" "),t.supportText?i("span",{staticClass:"mdc-grid-tile__support-text"},[t._v(t._s(t.supportText))]):t._e()]):t._e()])},staticRenderFns:[],name:"mdc-grid-tile",inject:["mdcGrid"],mixins:[r],props:{src:String,cover:Boolean,icon:String,title:String,"support-text":String,selected:Boolean,activated:Boolean},data:function(){return{classes:{},styles:{}}},computed:{clickListener:function(){var t=this;return{click:function(e){return t.dispatchEvent(e)}}},itemClasses:function(){return{"mdc-grid-tile--selected":this.selected,"mdc-grid-tile--activated":this.activated}},isInteractive:function(){return this.mdcGrid&&this.mdcGrid.interactive},hasStartDetail:function(){return this.startIcon||this.$slots["start-detail"]},hasEndDetail:function(){return this.endIcon||this.$slots["end-detail"]}},watch:{isInteractive:function(t){t?this.addRipple():this.removeRipple()}},mounted:function(){this.isInteractive&&this.addRipple()},beforeDestroy:function(){this.removeRipple()},methods:{addRipple:function(){if(!this.ripple){var t=new C(this);t.init(),this.ripple=t}},removeRipple:function(){if(this.ripple){var t=this.ripple;this.ripple=null,t.destroy()}}}},S={version:"0.15.0",install:function(t){for(var e in p){var i=p[e];t.component(i.name,i)}},components:p={mdcGridList:u,mdcGridTile:E}};return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(S),S});
//# sourceMappingURL=grid-list.min.js.map
