/**
* @module vue-mdc-adapterselect 0.15.0
* @exports VueMDCSelect
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.35.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCSelect=t()}(this,function(){"use strict";var e=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},t=function(){function e(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}return function(t,n,i){return n&&e(t.prototype,n),i&&e(t,i),t}}(),n=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var i in n)Object.prototype.hasOwnProperty.call(n,i)&&(e[i]=n[i])}return e},i=function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)},a=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},r=function(){function n(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,n),this.adapter_=t}return t(n,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),t(n,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),n}(),s=(function(){function n(t){var i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;e(this,n),this.root_=t;for(var a=arguments.length,r=Array(a>2?a-2:0),s=2;s<a;s++)r[s-2]=arguments[s];this.initialize.apply(this,r),this.foundation_=void 0===i?this.getDefaultFoundation():i,this.foundation_.init(),this.initialSyncWithDOM()}t(n,null,[{key:"attachTo",value:function(e){return new n(e,new r)}}]),t(n,[{key:"initialize",value:function(){}},{key:"getDefaultFoundation",value:function(){throw new Error("Subclasses must override getDefaultFoundation to return a properly configured foundation class")}},{key:"initialSyncWithDOM",value:function(){}},{key:"destroy",value:function(){this.foundation_.destroy()}},{key:"listen",value:function(e,t){this.root_.addEventListener(e,t)}},{key:"unlisten",value:function(e,t){this.root_.removeEventListener(e,t)}},{key:"emit",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=void 0;"function"==typeof CustomEvent?i=new CustomEvent(e,{detail:t,bubbles:n}):(i=document.createEvent("CustomEvent")).initCustomEvent(e,n,!1,t),this.root_.dispatchEvent(i)}}])}(),{BOX:"mdc-select--box",DISABLED:"mdc-select--disabled",ROOT:"mdc-select"}),o={CHANGE_EVENT:"MDCSelect:change",LINE_RIPPLE_SELECTOR:".mdc-line-ripple",LABEL_SELECTOR:".mdc-floating-label",NATIVE_CONTROL_SELECTOR:".mdc-select__native-control"},l=function(l){function u(t){e(this,u);var i=a(this,(u.__proto__||Object.getPrototypeOf(u)).call(this,n(u.defaultAdapter,t)));return i.focusHandler_=function(e){return i.handleFocus_(e)},i.blurHandler_=function(e){return i.handleBlur_(e)},i.selectionHandler_=function(e){return i.handleSelect_(e)},i}return i(u,r),t(u,null,[{key:"cssClasses",get:function(){return s}},{key:"strings",get:function(){return o}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},floatLabel:function(){},activateBottomLine:function(){},deactivateBottomLine:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},getSelectedIndex:function(){return-1},setSelectedIndex:function(){},setDisabled:function(){},getValue:function(){return""},setValue:function(){}}}}]),t(u,[{key:"init",value:function(){this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),this.adapter_.registerInteractionHandler("change",this.selectionHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter_.deregisterInteractionHandler("change",this.selectionHandler_)}},{key:"setSelectedIndex",value:function(e){this.adapter_.setSelectedIndex(e),this.floatLabelWithValue_()}},{key:"setValue",value:function(e){this.adapter_.setValue(e),this.setSelectedIndex(this.adapter_.getSelectedIndex())}},{key:"setDisabled",value:function(e){var t=u.cssClasses.DISABLED;this.adapter_.setDisabled(e),e?this.adapter_.addClass(t):this.adapter_.removeClass(t)}},{key:"floatLabelWithValue_",value:function(){var e=this.adapter_.getValue().length>0;this.adapter_.floatLabel(e)}},{key:"handleFocus_",value:function(){this.adapter_.floatLabel(!0),this.adapter_.activateBottomLine()}},{key:"handleBlur_",value:function(){this.floatLabelWithValue_(),this.adapter_.deactivateBottomLine()}},{key:"handleSelect_",value:function(){this.setSelectedIndex(this.adapter_.getSelectedIndex())}}]),u}(),u=(function(){function n(){e(this,n)}t(n,[{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"hasClass",value:function(e){}},{key:"setStyle",value:function(e,t){}},{key:"registerEventHandler",value:function(e,t){}},{key:"deregisterEventHandler",value:function(e,t){}}])}(),{LINE_RIPPLE_ACTIVE:"mdc-line-ripple--active",LINE_RIPPLE_DEACTIVATING:"mdc-line-ripple--deactivating"}),c=function(s){function o(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,o);var i=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,t)));return i.transitionEndHandler_=function(e){return i.handleTransitionEnd(e)},i}return i(o,r),t(o,null,[{key:"cssClasses",get:function(){return u}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){},setStyle:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){}}}}]),t(o,[{key:"init",value:function(){this.adapter_.registerEventHandler("transitionend",this.transitionEndHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterEventHandler("transitionend",this.transitionEndHandler_)}},{key:"activate",value:function(){this.adapter_.removeClass(u.LINE_RIPPLE_DEACTIVATING),this.adapter_.addClass(u.LINE_RIPPLE_ACTIVE)}},{key:"setRippleCenter",value:function(e){this.adapter_.setStyle("transform-origin",e+"px center")}},{key:"deactivate",value:function(){this.adapter_.addClass(u.LINE_RIPPLE_DEACTIVATING)}},{key:"handleTransitionEnd",value:function(e){var t=this.adapter_.hasClass(u.LINE_RIPPLE_DEACTIVATING);"opacity"===e.propertyName&&t&&(this.adapter_.removeClass(u.LINE_RIPPLE_ACTIVE),this.adapter_.removeClass(u.LINE_RIPPLE_DEACTIVATING))}}]),o}(),d=(function(){function n(){e(this,n)}t(n,[{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"getWidth",value:function(){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}}])}(),{LABEL_FLOAT_ABOVE:"mdc-floating-label--float-above",LABEL_SHAKE:"mdc-floating-label--shake"}),f=function(s){function o(t){e(this,o);var i=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,t)));return i.shakeAnimationEndHandler_=function(){return i.handleShakeAnimationEnd_()},i}return i(o,r),t(o,null,[{key:"cssClasses",get:function(){return d}},{key:"defaultAdapter",get:function(){return{addClass:function(){},removeClass:function(){},getWidth:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){}}}}]),t(o,[{key:"init",value:function(){this.adapter_.registerInteractionHandler("animationend",this.shakeAnimationEndHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterInteractionHandler("animationend",this.shakeAnimationEndHandler_)}},{key:"getWidth",value:function(){return this.adapter_.getWidth()}},{key:"shake",value:function(e){var t=o.cssClasses.LABEL_SHAKE;e?this.adapter_.addClass(t):this.adapter_.removeClass(t)}},{key:"float",value:function(e){var t=o.cssClasses,n=t.LABEL_FLOAT_ABOVE,i=t.LABEL_SHAKE;e?this.adapter_.addClass(n):(this.adapter_.removeClass(n),this.adapter_.removeClass(i))}},{key:"handleShakeAnimationEnd_",value:function(){var e=o.cssClasses.LABEL_SHAKE;this.adapter_.removeClass(e)}}]),o}(),v=(function(){function n(){e(this,n)}t(n,[{key:"browserSupportsCssVars",value:function(){}},{key:"isUnbounded",value:function(){}},{key:"isSurfaceActive",value:function(){}},{key:"isSurfaceDisabled",value:function(){}},{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"containsEventTarget",value:function(e){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerDocumentInteractionHandler",value:function(e,t){}},{key:"deregisterDocumentInteractionHandler",value:function(e,t){}},{key:"registerResizeHandler",value:function(e){}},{key:"deregisterResizeHandler",value:function(e){}},{key:"updateCssVariable",value:function(e,t){}},{key:"computeBoundingRect",value:function(){}},{key:"getWindowPageOffset",value:function(){}}])}(),{ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded",BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation"}),_={VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end"},h={PADDING:10,INITIAL_ORIGIN_SCALE:.6,DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,TAP_DELAY_MS:300},p=void 0,m=void 0;function y(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===m||t){var n=!1;try{e.document.addEventListener("test",null,{get passive(){n=!0}})}catch(e){}m=n}return!!m&&{passive:!0}}
/**
   * @license
   * Copyright 2016 Google Inc. All Rights Reserved.
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *      http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
var g,A=["touchstart","pointerdown","mousedown","keydown"],C=["touchend","pointerup","mouseup"],E=[],b=function(s){function o(t){e(this,o);var i=a(this,(o.__proto__||Object.getPrototypeOf(o)).call(this,n(o.defaultAdapter,t)));return i.layoutFrame_=0,i.frame_={width:0,height:0},i.activationState_=i.defaultActivationState_(),i.initialSize_=0,i.maxRadius_=0,i.activateHandler_=function(e){return i.activate_(e)},i.deactivateHandler_=function(e){return i.deactivate_(e)},i.focusHandler_=function(){return requestAnimationFrame(function(){return i.adapter_.addClass(o.cssClasses.BG_FOCUSED)})},i.blurHandler_=function(){return requestAnimationFrame(function(){return i.adapter_.removeClass(o.cssClasses.BG_FOCUSED)})},i.resizeHandler_=function(){return i.layout()},i.unboundedCoords_={left:0,top:0},i.fgScale_=0,i.activationTimer_=0,i.fgDeactivationRemovalTimer_=0,i.activationAnimationHasEnded_=!1,i.activationTimerCallback_=function(){i.activationAnimationHasEnded_=!0,i.runDeactivationUXLogicIfReady_()},i.previousActivationEvent_=null,i}return i(o,r),t(o,null,[{key:"cssClasses",get:function(){return v}},{key:"strings",get:function(){return _}},{key:"numbers",get:function(){return h}},{key:"defaultAdapter",get:function(){return{browserSupportsCssVars:function(){},isUnbounded:function(){},isSurfaceActive:function(){},isSurfaceDisabled:function(){},addClass:function(){},removeClass:function(){},containsEventTarget:function(){},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerDocumentInteractionHandler:function(){},deregisterDocumentInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},updateCssVariable:function(){},computeBoundingRect:function(){},getWindowPageOffset:function(){}}}}]),t(o,[{key:"isSupported_",value:function(){return this.adapter_.browserSupportsCssVars()}},{key:"defaultActivationState_",value:function(){return{isActivated:!1,hasDeactivationUXRun:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1,activationEvent:null,isProgrammatic:!1}}},{key:"init",value:function(){var e=this;if(this.isSupported_()){this.registerRootHandlers_();var t=o.cssClasses,n=t.ROOT,i=t.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.addClass(n),e.adapter_.isUnbounded()&&(e.adapter_.addClass(i),e.layoutInternal_())})}}},{key:"destroy",value:function(){var e=this;if(this.isSupported_()){if(this.activationTimer_){clearTimeout(this.activationTimer_),this.activationTimer_=0;var t=o.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(t)}this.deregisterRootHandlers_(),this.deregisterDeactivationHandlers_();var n=o.cssClasses,i=n.ROOT,a=n.UNBOUNDED;requestAnimationFrame(function(){e.adapter_.removeClass(i),e.adapter_.removeClass(a),e.removeCssVars_()})}}},{key:"registerRootHandlers_",value:function(){var e=this;A.forEach(function(t){e.adapter_.registerInteractionHandler(t,e.activateHandler_)}),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),this.adapter_.isUnbounded()&&this.adapter_.registerResizeHandler(this.resizeHandler_)}},{key:"registerDeactivationHandlers_",value:function(e){var t=this;"keydown"===e.type?this.adapter_.registerInteractionHandler("keyup",this.deactivateHandler_):C.forEach(function(e){t.adapter_.registerDocumentInteractionHandler(e,t.deactivateHandler_)})}},{key:"deregisterRootHandlers_",value:function(){var e=this;A.forEach(function(t){e.adapter_.deregisterInteractionHandler(t,e.activateHandler_)}),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),this.adapter_.isUnbounded()&&this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"deregisterDeactivationHandlers_",value:function(){var e=this;this.adapter_.deregisterInteractionHandler("keyup",this.deactivateHandler_),C.forEach(function(t){e.adapter_.deregisterDocumentInteractionHandler(t,e.deactivateHandler_)})}},{key:"removeCssVars_",value:function(){var e=this,t=o.strings;Object.keys(t).forEach(function(n){0===n.indexOf("VAR_")&&e.adapter_.updateCssVariable(t[n],null)})}},{key:"activate_",value:function(e){var t=this;if(!this.adapter_.isSurfaceDisabled()){var n=this.activationState_;if(!n.isActivated){var i=this.previousActivationEvent_;if(!(i&&e&&i.type!==e.type))n.isActivated=!0,n.isProgrammatic=null===e,n.activationEvent=e,n.wasActivatedByPointer=!n.isProgrammatic&&("mousedown"===e.type||"touchstart"===e.type||"pointerdown"===e.type),e&&E.length>0&&E.some(function(e){return t.adapter_.containsEventTarget(e)})?this.resetActivationState_():(e&&(E.push(e.target),this.registerDeactivationHandlers_(e)),n.wasElementMadeActive=this.checkElementMadeActive_(e),n.wasElementMadeActive&&this.animateActivation_(),requestAnimationFrame(function(){E=[],n.wasElementMadeActive||" "!==e.key&&32!==e.keyCode||(n.wasElementMadeActive=t.checkElementMadeActive_(e),n.wasElementMadeActive&&t.animateActivation_()),n.wasElementMadeActive||(t.activationState_=t.defaultActivationState_())}))}}}},{key:"checkElementMadeActive_",value:function(e){return!e||"keydown"!==e.type||this.adapter_.isSurfaceActive()}},{key:"activate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.activate_(e)}},{key:"animateActivation_",value:function(){var e=this,t=o.strings,n=t.VAR_FG_TRANSLATE_START,i=t.VAR_FG_TRANSLATE_END,a=o.cssClasses,r=a.FG_DEACTIVATION,s=a.FG_ACTIVATION,l=o.numbers.DEACTIVATION_TIMEOUT_MS;this.layoutInternal_();var u="",c="";if(!this.adapter_.isUnbounded()){var d=this.getFgTranslationCoordinates_(),f=d.startPoint,v=d.endPoint;u=f.x+"px, "+f.y+"px",c=v.x+"px, "+v.y+"px"}this.adapter_.updateCssVariable(n,u),this.adapter_.updateCssVariable(i,c),clearTimeout(this.activationTimer_),clearTimeout(this.fgDeactivationRemovalTimer_),this.rmBoundedActivationClasses_(),this.adapter_.removeClass(r),this.adapter_.computeBoundingRect(),this.adapter_.addClass(s),this.activationTimer_=setTimeout(function(){return e.activationTimerCallback_()},l)}},{key:"getFgTranslationCoordinates_",value:function(){var e,t,n,i,a,r,s,o,l,u=this.activationState_,c=u.activationEvent,d=void 0;return u.wasActivatedByPointer?(e=c,t=this.adapter_.getWindowPageOffset(),n=this.adapter_.computeBoundingRect(),i=t.x,a=t.y,r=i+n.left,s=a+n.top,o=void 0,l=void 0,"touchstart"===e.type?(o=e.changedTouches[0].pageX-r,l=e.changedTouches[0].pageY-s):(o=e.pageX-r,l=e.pageY-s),d={x:o,y:l}):d={x:this.frame_.width/2,y:this.frame_.height/2},{startPoint:d={x:d.x-this.initialSize_/2,y:d.y-this.initialSize_/2},endPoint:{x:this.frame_.width/2-this.initialSize_/2,y:this.frame_.height/2-this.initialSize_/2}}}},{key:"runDeactivationUXLogicIfReady_",value:function(){var e=this,t=o.cssClasses.FG_DEACTIVATION,n=this.activationState_,i=n.hasDeactivationUXRun,a=n.isActivated;(i||!a)&&this.activationAnimationHasEnded_&&(this.rmBoundedActivationClasses_(),this.adapter_.addClass(t),this.fgDeactivationRemovalTimer_=setTimeout(function(){e.adapter_.removeClass(t)},h.FG_DEACTIVATION_MS))}},{key:"rmBoundedActivationClasses_",value:function(){var e=o.cssClasses.FG_ACTIVATION;this.adapter_.removeClass(e),this.activationAnimationHasEnded_=!1,this.adapter_.computeBoundingRect()}},{key:"resetActivationState_",value:function(){var e=this;this.previousActivationEvent_=this.activationState_.activationEvent,this.activationState_=this.defaultActivationState_(),setTimeout(function(){return e.previousActivationEvent_=null},o.numbers.TAP_DELAY_MS)}},{key:"deactivate_",value:function(e){var t=this,i=this.activationState_;if(i.isActivated){var a=n({},i);if(i.isProgrammatic){requestAnimationFrame(function(){return t.animateDeactivation_(null,a)}),this.resetActivationState_()}else this.deregisterDeactivationHandlers_(),requestAnimationFrame(function(){t.activationState_.hasDeactivationUXRun=!0,t.animateDeactivation_(e,a),t.resetActivationState_()})}}},{key:"deactivate",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;this.deactivate_(e)}},{key:"animateDeactivation_",value:function(e,t){var n=t.wasActivatedByPointer,i=t.wasElementMadeActive;(n||i)&&this.runDeactivationUXLogicIfReady_()}},{key:"layout",value:function(){var e=this;this.layoutFrame_&&cancelAnimationFrame(this.layoutFrame_),this.layoutFrame_=requestAnimationFrame(function(){e.layoutInternal_(),e.layoutFrame_=0})}},{key:"layoutInternal_",value:function(){var e=this;this.frame_=this.adapter_.computeBoundingRect();var t=Math.max(this.frame_.height,this.frame_.width);this.maxRadius_=this.adapter_.isUnbounded()?t:Math.sqrt(Math.pow(e.frame_.width,2)+Math.pow(e.frame_.height,2))+o.numbers.PADDING,this.initialSize_=t*o.numbers.INITIAL_ORIGIN_SCALE,this.fgScale_=this.maxRadius_/this.initialSize_,this.updateLayoutCssVars_()}},{key:"updateLayoutCssVars_",value:function(){var e=o.strings,t=e.VAR_FG_SIZE,n=e.VAR_LEFT,i=e.VAR_TOP,a=e.VAR_FG_SCALE;this.adapter_.updateCssVariable(t,this.initialSize_+"px"),this.adapter_.updateCssVariable(a,this.fgScale_),this.adapter_.isUnbounded()&&(this.unboundedCoords_={left:Math.round(this.frame_.width/2-this.initialSize_/2),top:Math.round(this.frame_.height/2-this.initialSize_/2)},this.adapter_.updateCssVariable(n,this.unboundedCoords_.left+"px"),this.adapter_.updateCssVariable(i,this.unboundedCoords_.top+"px"))}},{key:"setUnbounded",value:function(e){var t=o.cssClasses.UNBOUNDED;e?this.adapter_.addClass(t):this.adapter_.removeClass(t)}}]),o}(),I=function(r){function s(t,i){return e(this,s),a(this,(s.__proto__||Object.getPrototypeOf(s)).call(this,n({browserSupportsCssVars:function(){return function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1],n=p;if("boolean"==typeof p&&!t)return n;if(e.CSS&&"function"==typeof e.CSS.supports){var i=e.CSS.supports("--css-vars","yes"),a=e.CSS.supports("(--css-vars: yes)")&&e.CSS.supports("color","#00000000");return n=!(!i&&!a||function(e){var t=e.document,n=t.createElement("div");n.className="mdc-ripple-surface--test-edge-var-bug",t.body.appendChild(n);var i=e.getComputedStyle(n),a=null!==i&&"solid"===i.borderTopStyle;return n.remove(),a}(e)),t||(p=n),n}}(window)},isUnbounded:function(){return!1},isSurfaceActive:function(){return t.$el[s.MATCHES](":active")},isSurfaceDisabled:function(){return t.disabled},addClass:function(e){t.$set(t.classes,e,!0)},removeClass:function(e){t.$delete(t.classes,e)},containsEventTarget:function(e){return t.$el.contains(e)},registerInteractionHandler:function(e,n){t.$el.addEventListener(e,n,y())},deregisterInteractionHandler:function(e,n){t.$el.removeEventListener(e,n,y())},registerDocumentInteractionHandler:function(e,t){return document.documentElement.addEventListener(e,t,y())},deregisterDocumentInteractionHandler:function(e,t){return document.documentElement.removeEventListener(e,t,y())},registerResizeHandler:function(e){return window.addEventListener("resize",e)},deregisterResizeHandler:function(e){return window.removeEventListener("resize",e)},updateCssVariable:function(e,n){t.$set(t.styles,e,n)},computeBoundingRect:function(){return t.$el.getBoundingClientRect()},getWindowPageOffset:function(){return{x:window.pageXOffset,y:window.pageYOffset}}},i)))}return i(s,b),t(s,null,[{key:"isSurfaceActive",value:function(e){return e[s.MATCHES](":active")}},{key:"MATCHES",get:function(){return s._matches||(s._matches=(e=HTMLElement.prototype,["webkitMatchesSelector","msMatchesSelector","matches"].filter(function(t){return t in e}).pop()));var e}}]),s}(),S={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"mdc-select",class:e.rootClasses,style:e.styles,attrs:{id:e.id}},[n("select",e._g(e._b({ref:"native_control",staticClass:"mdc-select__native-control"},"select",e.$attrs,!1),e.listeners),[e.label?n("option",{staticClass:"mdc-option",attrs:{value:"",disabled:"disabled",selected:"selected"}}):e._e(),e._v(" "),e._t("default")],2),e._v(" "),n("div",{ref:"label",staticClass:"mdc-floating-label",class:e.labelClasses},[e._v(e._s(e.label))]),e._v(" "),n("div",{ref:"line",staticClass:"mdc-line-ripple",class:e.lineClasses,style:e.lineStyles})])},staticRenderFns:[],name:"mdc-select",inheritAttrs:!1,model:{prop:"value",event:"change"},props:{value:String,disabled:Boolean,label:String,box:Boolean,id:{type:String}},data:function(){return{styles:{},labelClasses:{},lineClasses:{},lineStyles:{},classes:{}}},computed:{rootClasses:function(){return n({"mdc-select--box":this.box},this.classes)},listeners:function(){var e=this;return n({},this.$listeners,{change:function(t){return e.$emit("change",t.target.value)}})}},watch:{disabled:function(e){this.foundation&&this.foundation.setDisabled(e)},value:"refreshIndex"},mounted:function(){var e=this;this.labelFoundation=new f({addClass:function(t){e.$set(e.labelClasses,t,!0)},removeClass:function(t){e.$delete(e.labelClasses,t)},getWidth:function(){return e.$refs.label.offsetWidth},registerInteractionHandler:function(t,n){e.$refs.label.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){e.$refs.label.removeEventListener(t,n)}}),this.labelFoundation.init(),this.lineRippleFoundation=new c({addClass:function(t){e.$set(e.lineClasses,t,!0)},removeClass:function(t){e.$delete(e.lineClasses,t)},hasClass:function(t){e.$refs.line.classList.contains(t)},setStyle:function(t,n){e.$set(e.lineStyles,t,n)},registerEventHandler:function(t,n){e.$refs.line.addEventListener(t,n)},deregisterEventHandler:function(t,n){e.$refs.line.removeEventListener(t,n)}}),this.lineRippleFoundation.init(),this.foundation=new l({addClass:function(t){return e.$set(e.classes,t,!0)},removeClass:function(t){return e.$delete(e.classes,t)},floatLabel:function(t){e.labelFoundation.float(t)},activateBottomLine:function(){e.lineRippleFoundation.activate()},deactivateBottomLine:function(){e.lineRippleFoundation.deactivate()},registerInteractionHandler:function(t,n){return e.$refs.native_control.addEventListener(t,n)},deregisterInteractionHandler:function(t,n){return e.$refs.native_control.removeEventListener(t,n)},getSelectedIndex:function(){return e.$refs.native_control.selectedIndex},setSelectedIndex:function(t){return e.$refs.native_control.selectedIndex=t},setDisabled:function(t){return e.$refs.native_control.disabled=t},getValue:function(){return e.$refs.native_control.value},setValue:function(t){return e.$refs.native_control.value=t}}),this.foundation.init(),this.foundation.setDisabled(this.disabled),this.refreshIndex(),this.slotObserver=new MutationObserver(function(){return e.refreshIndex()}),this.slotObserver.observe(this.$refs.native_control,{childList:!0,subtree:!0}),this.box&&(this.ripple=new I(this),this.ripple.init())},beforeDestroy:function(){this.slotObserver.disconnect();var e=this.foundation;this.foundation=null,e.destroy();var t=this.labelFoundation;this.labelFoundation=null,t.destroy();var n=this.lineRippleFoundation;this.lineRippleFoundation=null,n.destroy(),this.ripple&&this.ripple.destroy()},methods:{refreshIndex:function(){var e=this,t=[].concat(function(e){if(Array.isArray(e)){for(var t=0,n=Array(e.length);t<e.length;t++)n[t]=e[t];return n}return Array.from(e)}(this.$refs.native_control.querySelectorAll("option"))).findIndex(function(t){var n=t.value;return e.value===n});this.$refs.native_control.selectedIndex!==t&&this.foundation.setSelectedIndex(t)}}},k={version:"0.15.0",install:function(e){for(var t in g){var n=g[t];e.component(n.name,n)}},components:g={mdcSelect:S}};return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(k),k});
//# sourceMappingURL=select.min.js.map
