/**
* @module vue-mdc-adapterslider 0.15.0
* @exports VueMDCSlider
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.35.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define(t):e.VueMDCSlider=t()}(this,function(){"use strict";var e=void 0;function t(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:window,n=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===e||n){var i=!1;try{t.document.addEventListener("test",null,{get passive(){i={passive:!0}}})}catch(e){}e=i}return e}var n=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},i=function(){function e(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}return function(t,n,i){return n&&e(t.prototype,n),i&&e(t,i),t}}(),r=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var i in n)Object.prototype.hasOwnProperty.call(n,i)&&(e[i]=n[i])}return e},a=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t},s={data:function(){return{hasFocus:!1}},methods:{onMouseDown:function(){this._active=!0},onMouseUp:function(){this._active=!1},onFocusEvent:function(){var e=this;setTimeout(function(){return e.dispatchFocusEvent()},0)},onBlurEvent:function(){var e=this;this._active||setTimeout(function(){return e.dispatchFocusEvent()},0)},dispatchFocusEvent:function(){var e=this.$el===document.activeElement||this.$el.contains(document.activeElement);e!=this.hasFocus&&(this.$emit(e?"focus":"blur"),this.hasFocus=e)}},mounted:function(){this.$el.addEventListener("focusin",this.onFocusEvent),this.$el.addEventListener("focusout",this.onBlurEvent),this.$el.addEventListener("mousedown",this.onMouseDown),this.$el.addEventListener("mouseup",this.onMouseUp)},beforeDestroy:function(){this.$el.removeEventListener("focusin",this.onFocusEvent),this.$el.removeEventListener("focusout",this.onBlurEvent),this.$el.removeEventListener("mousedown",this.onMouseDown),this.$el.removeEventListener("mouseup",this.onMouseUp)}},o={ACTIVE:"mdc-slider--active",DISABLED:"mdc-slider--disabled",DISCRETE:"mdc-slider--discrete",FOCUS:"mdc-slider--focus",IN_TRANSIT:"mdc-slider--in-transit",IS_DISCRETE:"mdc-slider--discrete",HAS_TRACK_MARKER:"mdc-slider--display-markers"},u={TRACK_SELECTOR:".mdc-slider__track",TRACK_MARKER_CONTAINER_SELECTOR:".mdc-slider__track-marker-container",LAST_TRACK_MARKER_SELECTOR:".mdc-slider__track-marker:last-child",THUMB_CONTAINER_SELECTOR:".mdc-slider__thumb-container",PIN_VALUE_MARKER_SELECTOR:".mdc-slider__pin-value-marker",ARIA_VALUEMIN:"aria-valuemin",ARIA_VALUEMAX:"aria-valuemax",ARIA_VALUENOW:"aria-valuenow",ARIA_DISABLED:"aria-disabled",STEP_DATA_ATTR:"data-step",CHANGE_EVENT:"MDCSlider:change",INPUT_EVENT:"MDCSlider:input"},c={PAGE_FACTOR:4},l=(function(){function e(){n(this,e)}i(e,[{key:"hasClass",value:function(e){}},{key:"addClass",value:function(e){}},{key:"removeClass",value:function(e){}},{key:"getAttribute",value:function(e){}},{key:"setAttribute",value:function(e,t){}},{key:"removeAttribute",value:function(e){}},{key:"computeBoundingRect",value:function(){}},{key:"getTabIndex",value:function(){}},{key:"registerInteractionHandler",value:function(e,t){}},{key:"deregisterInteractionHandler",value:function(e,t){}},{key:"registerThumbContainerInteractionHandler",value:function(e,t){}},{key:"deregisterThumbContainerInteractionHandler",value:function(e,t){}},{key:"registerBodyInteractionHandler",value:function(e,t){}},{key:"deregisterBodyInteractionHandler",value:function(e,t){}},{key:"registerResizeHandler",value:function(e){}},{key:"deregisterResizeHandler",value:function(e){}},{key:"notifyInput",value:function(){}},{key:"notifyChange",value:function(){}},{key:"setThumbContainerStyleProperty",value:function(e,t){}},{key:"setTrackStyleProperty",value:function(e,t){}},{key:"setMarkerValue",value:function(e){}},{key:"appendTrackMarkers",value:function(e){}},{key:"removeTrackMarkers",value:function(){}},{key:"setLastTrackMarkersStyleProperty",value:function(e,t){}},{key:"isRTL",value:function(){}}])}(),{animationstart:{noPrefix:"animationstart",webkitPrefix:"webkitAnimationStart",styleProperty:"animation"},animationend:{noPrefix:"animationend",webkitPrefix:"webkitAnimationEnd",styleProperty:"animation"},animationiteration:{noPrefix:"animationiteration",webkitPrefix:"webkitAnimationIteration",styleProperty:"animation"},transitionend:{noPrefix:"transitionend",webkitPrefix:"webkitTransitionEnd",styleProperty:"transition"}}),d={animation:{noPrefix:"animation",webkitPrefix:"-webkit-animation"},transform:{noPrefix:"transform",webkitPrefix:"-webkit-transform"},transition:{noPrefix:"transition",webkitPrefix:"-webkit-transition"}};function h(e,t){if(!function(e){return void 0!==e.document&&"function"==typeof e.document.createElement}(e)||!function(e){return e in l||e in d}(t))return t;var n=t in l?l:d,i=e.document.createElement("div");return n===l?function(e,t,n){return t[e].styleProperty in n.style?t[e].noPrefix:t[e].webkitPrefix}(t,n,i):n[t].noPrefix in i.style?n[t].noPrefix:n[t].webkitPrefix}function f(e,t){return h(e,t)}
/**
   * @license
   * Copyright 2016 Google Inc.
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *   http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */var _,m=function(){function e(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};n(this,e),this.adapter_=t}return i(e,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),i(e,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),e}(),v="ArrowLeft",y="ArrowRight",p="ArrowUp",k="ArrowDown",g="Home",b="End",T="PageUp",E="PageDown",C={mousedown:"mousemove",touchstart:"touchmove",pointerdown:"pointermove"},A=["mousedown","pointerdown","touchstart"],I=["mouseup","pointerup","touchend"],S=function(e){function t(e){n(this,t);var i=a(this,(t.__proto__||Object.getPrototypeOf(t)).call(this,r(t.defaultAdapter,e)));return i.rect_=null,i.savedTabIndex_=NaN,i.active_=!1,i.inTransit_=!1,i.isDiscrete_=!1,i.hasTrackMarker_=!1,i.handlingThumbTargetEvt_=!1,i.min_=0,i.max_=100,i.step_=0,i.value_=0,i.disabled_=!1,i.preventFocusState_=!1,i.updateUIFrame_=0,i.thumbContainerPointerHandler_=function(){i.handlingThumbTargetEvt_=!0},i.interactionStartHandler_=function(e){return i.handleDown_(e)},i.keydownHandler_=function(e){return i.handleKeydown_(e)},i.focusHandler_=function(){return i.handleFocus_()},i.blurHandler_=function(){return i.handleBlur_()},i.resizeHandler_=function(){return i.layout()},i}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}(t,m),i(t,null,[{key:"cssClasses",get:function(){return o}},{key:"strings",get:function(){return u}},{key:"numbers",get:function(){return c}},{key:"defaultAdapter",get:function(){return{hasClass:function(){return!1},addClass:function(){},removeClass:function(){},getAttribute:function(){return null},setAttribute:function(){},removeAttribute:function(){},computeBoundingRect:function(){return{top:0,right:0,bottom:0,left:0,width:0,height:0}},getTabIndex:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){},registerThumbContainerInteractionHandler:function(){},deregisterThumbContainerInteractionHandler:function(){},registerBodyInteractionHandler:function(){},deregisterBodyInteractionHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},notifyInput:function(){},notifyChange:function(){},setThumbContainerStyleProperty:function(){},setTrackStyleProperty:function(){},setMarkerValue:function(){},appendTrackMarkers:function(){},removeTrackMarkers:function(){},setLastTrackMarkersStyleProperty:function(){},isRTL:function(){return!1}}}}]),i(t,[{key:"init",value:function(){var e=this;this.isDiscrete_=this.adapter_.hasClass(o.IS_DISCRETE),this.hasTrackMarker_=this.adapter_.hasClass(o.HAS_TRACK_MARKER),A.forEach(function(t){return e.adapter_.registerInteractionHandler(t,e.interactionStartHandler_)}),this.adapter_.registerInteractionHandler("keydown",this.keydownHandler_),this.adapter_.registerInteractionHandler("focus",this.focusHandler_),this.adapter_.registerInteractionHandler("blur",this.blurHandler_),A.forEach(function(t){e.adapter_.registerThumbContainerInteractionHandler(t,e.thumbContainerPointerHandler_)}),this.adapter_.registerResizeHandler(this.resizeHandler_),this.layout(),this.isDiscrete_&&0==this.getStep()&&(this.step_=1)}},{key:"destroy",value:function(){var e=this;A.forEach(function(t){e.adapter_.deregisterInteractionHandler(t,e.interactionStartHandler_)}),this.adapter_.deregisterInteractionHandler("keydown",this.keydownHandler_),this.adapter_.deregisterInteractionHandler("focus",this.focusHandler_),this.adapter_.deregisterInteractionHandler("blur",this.blurHandler_),A.forEach(function(t){e.adapter_.deregisterThumbContainerInteractionHandler(t,e.thumbContainerPointerHandler_)}),this.adapter_.deregisterResizeHandler(this.resizeHandler_)}},{key:"setupTrackMarker",value:function(){if(this.isDiscrete_&&this.hasTrackMarker_&&0!=this.getStep()){var e=this.getMin(),t=this.getMax(),n=this.getStep(),i=(t-e)/n,r=Math.ceil(i)!==i;if(r&&(i=Math.ceil(i)),this.adapter_.removeTrackMarkers(),this.adapter_.appendTrackMarkers(i),r){var a=(t-i*n)/n+1,s=f(window,"flex");this.adapter_.setLastTrackMarkersStyleProperty(s,String(a))}}}},{key:"layout",value:function(){this.rect_=this.adapter_.computeBoundingRect(),this.updateUIForCurrentValue_()}},{key:"getValue",value:function(){return this.value_}},{key:"setValue",value:function(e){this.setValue_(e,!1)}},{key:"getMax",value:function(){return this.max_}},{key:"setMax",value:function(e){if(e<this.min_)throw new Error("Cannot set max to be less than the slider's minimum value");this.max_=e,this.setValue_(this.value_,!1,!0),this.adapter_.setAttribute(u.ARIA_VALUEMAX,String(this.max_)),this.setupTrackMarker()}},{key:"getMin",value:function(){return this.min_}},{key:"setMin",value:function(e){if(e>this.max_)throw new Error("Cannot set min to be greater than the slider's maximum value");this.min_=e,this.setValue_(this.value_,!1,!0),this.adapter_.setAttribute(u.ARIA_VALUEMIN,String(this.min_)),this.setupTrackMarker()}},{key:"getStep",value:function(){return this.step_}},{key:"setStep",value:function(e){if(e<0)throw new Error("Step cannot be set to a negative number");this.isDiscrete_&&("number"!=typeof e||e<1)&&(e=1),this.step_=e,this.setValue_(this.value_,!1,!0),this.setupTrackMarker()}},{key:"isDisabled",value:function(){return this.disabled_}},{key:"setDisabled",value:function(e){this.disabled_=e,this.toggleClass_(o.DISABLED,this.disabled_),this.disabled_?(this.savedTabIndex_=this.adapter_.getTabIndex(),this.adapter_.setAttribute(u.ARIA_DISABLED,"true"),this.adapter_.removeAttribute("tabindex")):(this.adapter_.removeAttribute(u.ARIA_DISABLED),isNaN(this.savedTabIndex_)||this.adapter_.setAttribute("tabindex",String(this.savedTabIndex_)))}},{key:"handleDown_",value:function(e){var t=this;if(!this.disabled_){this.preventFocusState_=!0,this.setInTransit_(!this.handlingThumbTargetEvt_),this.handlingThumbTargetEvt_=!1,this.setActive_(!0);var n=function(e){t.handleMove_(e)},i=function i(){t.handleUp_(),t.adapter_.deregisterBodyInteractionHandler(C[e.type],n),I.forEach(function(e){return t.adapter_.deregisterBodyInteractionHandler(e,i)})};this.adapter_.registerBodyInteractionHandler(C[e.type],n),I.forEach(function(e){return t.adapter_.registerBodyInteractionHandler(e,i)}),this.setValueFromEvt_(e)}}},{key:"handleMove_",value:function(e){e.preventDefault(),this.setValueFromEvt_(e)}},{key:"handleUp_",value:function(){this.setActive_(!1),this.adapter_.notifyChange()}},{key:"getPageX_",value:function(e){return e.targetTouches&&e.targetTouches.length>0?e.targetTouches[0].pageX:e.pageX}},{key:"setValueFromEvt_",value:function(e){var t=this.getPageX_(e),n=this.computeValueFromPageX_(t);this.setValue_(n,!0)}},{key:"computeValueFromPageX_",value:function(e){var t=this.max_,n=this.min_,i=(e-this.rect_.left)/this.rect_.width;return this.adapter_.isRTL()&&(i=1-i),n+i*(t-n)}},{key:"handleKeydown_",value:function(e){var t=this.getKeyId_(e),n=this.getValueForKeyId_(t);isNaN(n)||(e.preventDefault(),this.adapter_.addClass(o.FOCUS),this.setValue_(n,!0),this.adapter_.notifyChange())}},{key:"getKeyId_",value:function(e){return e.key===v||37===e.keyCode?v:e.key===y||39===e.keyCode?y:e.key===p||38===e.keyCode?p:e.key===k||40===e.keyCode?k:e.key===g||36===e.keyCode?g:e.key===b||35===e.keyCode?b:e.key===T||33===e.keyCode?T:e.key===E||34===e.keyCode?E:""}},{key:"getValueForKeyId_",value:function(e){var t=this.max_,n=this.min_,i=this.step_||(t-n)/100;switch(this.adapter_.isRTL()&&(e===v||e===y)&&(i=-i),e){case v:case k:return this.value_-i;case y:case p:return this.value_+i;case g:return this.min_;case b:return this.max_;case T:return this.value_+i*c.PAGE_FACTOR;case E:return this.value_-i*c.PAGE_FACTOR;default:return NaN}}},{key:"handleFocus_",value:function(){this.preventFocusState_||this.adapter_.addClass(o.FOCUS)}},{key:"handleBlur_",value:function(){this.preventFocusState_=!1,this.adapter_.removeClass(o.FOCUS)}},{key:"setValue_",value:function(e,t){var n=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e!==this.value_||n){var i=this.min_,r=this.max_,a=e===i||e===r;this.step_&&!a&&(e=this.quantize_(e)),e<i?e=i:e>r&&(e=r),this.value_=e,this.adapter_.setAttribute(u.ARIA_VALUENOW,String(this.value_)),this.updateUIForCurrentValue_(),t&&(this.adapter_.notifyInput(),this.isDiscrete_&&this.adapter_.setMarkerValue(e))}}},{key:"quantize_",value:function(e){return Math.round(e/this.step_)*this.step_}},{key:"updateUIForCurrentValue_",value:function(){var e=this,t=this.max_,n=this.min_,i=(this.value_-n)/(t-n),r=i*this.rect_.width;this.adapter_.isRTL()&&(r=this.rect_.width-r);var a=f(window,"transform"),s=h(window,"transitionend");if(this.inTransit_){this.adapter_.registerThumbContainerInteractionHandler(s,function t(){e.setInTransit_(!1),e.adapter_.deregisterThumbContainerInteractionHandler(s,t)})}this.updateUIFrame_=requestAnimationFrame(function(){e.adapter_.setThumbContainerStyleProperty(a,"translateX("+r+"px) translateX(-50%)"),e.adapter_.setTrackStyleProperty(a,"scaleX("+i+")")})}},{key:"setActive_",value:function(e){this.active_=e,this.toggleClass_(o.ACTIVE,this.active_)}},{key:"setInTransit_",value:function(e){this.inTransit_=e,this.toggleClass_(o.IN_TRANSIT,this.inTransit_)}},{key:"toggleClass_",value:function(e,t){t?this.adapter_.addClass(e):this.adapter_.removeClass(e)}}]),t}(),w={render:function(){var e=this,t=e.$createElement,n=e._self._c||t;return n("div",{staticClass:"mdc-slider",class:e.classes,attrs:{tabindex:"0",role:"slider"}},[n("div",{staticClass:"mdc-slider__track-container"},[n("div",{staticClass:"mdc-slider__track",style:e.trackStyles}),e._v(" "),e.hasMarkers?n("div",{staticClass:"mdc-slider__track-marker-container"},e._l(e.numMarkers,function(t){return n("div",{key:t,staticClass:"mdc-slider__track-marker",style:t==e.numMarkers?e.lastTrackMarkersStyles:{}})})):e._e()]),e._v(" "),n("div",{ref:"thumbContainer",staticClass:"mdc-slider__thumb-container",style:e.thumbStyles},[e.isDiscrete?n("div",{staticClass:"mdc-slider__pin"},[n("span",{staticClass:"mdc-slider__pin-value-marker"},[e._v(e._s(e.markerValue))])]):e._e(),e._v(" "),n("svg",{staticClass:"mdc-slider__thumb",attrs:{width:"21",height:"21"}},[n("circle",{attrs:{cx:"10.5",cy:"10.5",r:"7.875"}})]),e._v(" "),n("div",{staticClass:"mdc-slider__focus-ring"})])])},staticRenderFns:[],name:"mdc-slider",mixins:[s],model:{prop:"value",event:"change"},props:{value:[Number,String],min:{type:[Number,String],default:0},max:{type:[Number,String],default:100},step:{type:[Number,String],default:0},displayMarkers:Boolean,disabled:Boolean,layoutOn:String,layoutOnSource:{type:Object,required:!1}},data:function(){return{classes:{"mdc-slider--discrete":!!this.step,"mdc-slider--display-markers":this.displayMarkers},trackStyles:{},lastTrackMarkersStyles:{},thumbStyles:{},markerValue:"",numMarkers:0}},computed:{isDiscrete:function(){return!!this.step},hasMarkers:function(){return!!this.step&&this.displayMarkers&&this.numMarkers}},watch:{value:function(){this.foundation.getValue()!==Number(this.value)&&this.foundation.setValue(this.value)},min:function(){this.foundation.setMin(Number(this.min))},max:function(){this.foundation.setMax(Number(this.max))},step:function(){this.foundation.setStep(Number(this.step))},disabled:function(){this.foundation.setDisabled(this.disabled)}},mounted:function(){var e=this;this.foundation=new S({hasClass:function(t){return e.$el.classList.contains(t)},addClass:function(t){e.$set(e.classes,t,!0)},removeClass:function(t){e.$delete(e.classes,t,!0)},getAttribute:function(t){return e.$el.getAttribute(t)},setAttribute:function(t,n){return e.$el.setAttribute(t,n)},removeAttribute:function(t){return e.$el.removeAttribute(t)},computeBoundingRect:function(){return e.$el.getBoundingClientRect()},getTabIndex:function(){return e.$el.tabIndex},registerInteractionHandler:function(n,i){e.$el.addEventListener(n,i,t())},deregisterInteractionHandler:function(n,i){e.$el.removeEventListener(n,i,t())},registerThumbContainerInteractionHandler:function(n,i){e.$refs.thumbContainer.addEventListener(n,i,t())},deregisterThumbContainerInteractionHandler:function(n,i){e.$refs.thumbContainer.removeEventListener(n,i,t())},registerBodyInteractionHandler:function(e,t){document.body.addEventListener(e,t)},deregisterBodyInteractionHandler:function(e,t){document.body.removeEventListener(e,t)},registerResizeHandler:function(e){window.addEventListener("resize",e)},deregisterResizeHandler:function(e){window.removeEventListener("resize",e)},notifyInput:function(){e.$emit("input",e.foundation.getValue())},notifyChange:function(){e.$emit("change",e.foundation.getValue())},setThumbContainerStyleProperty:function(t,n){e.$set(e.thumbStyles,t,n)},setTrackStyleProperty:function(t,n){e.$set(e.trackStyles,t,n)},setMarkerValue:function(t){e.markerValue=t},appendTrackMarkers:function(t){e.numMarkers=t},removeTrackMarkers:function(){e.numMarkers=0},setLastTrackMarkersStyleProperty:function(t,n){e.$set(e.lastTrackMarkersStyles,t,n)},isRTL:function(){return!1}}),this.foundation.init(),this.foundation.setDisabled(this.disabled),Number(this.min)<=this.foundation.getMax()?(this.foundation.setMin(Number(this.min)),this.foundation.setMax(Number(this.max))):(this.foundation.setMax(Number(this.max)),this.foundation.setMin(Number(this.min))),this.foundation.setStep(Number(this.step)),this.foundation.setValue(Number(this.value)),this.hasMarkers&&this.foundation.setupTrackMarker(),this.$root.$on("vma:layout",this.layout),this.layoutOn&&(this.layoutOnEventSource=this.layoutOnSource||this.$root,this.layoutOnEventSource.$on(this.layoutOn,this.layout))},beforeDestroy:function(){this.$root.$off("vma:layout",this.layout),this.layoutOnEventSource&&this.layoutOnEventSource.$off(this.layoutOn,this.layout),this.foundation.destroy()},methods:{layout:function(){var e=this;this.$nextTick(function(){e.foundation&&e.foundation.layout()})}}},M={version:"0.15.0",install:function(e){for(var t in _){var n=_[t];e.component(n.name,n)}},components:_={mdcSlider:w}};
/**
   * @license
   * Copyright 2017 Google Inc. All Rights Reserved.
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   *you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   * http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */return function(e){var t=null;"undefined"!=typeof window?t=window.Vue:"undefined"!=typeof global&&(t=global.Vue),t&&t.use(e)}(M),M});
//# sourceMappingURL=slider.min.js.map
