/**
* @module vue-mdc-adaptertoolbar 0.15.0
* @exports VueMDCToolbar
* @copyright (c) 2017-present, Sebastien Tasson
* @license https://opensource.org/licenses/MIT
* @implements {"material-components-web":"^0.35.0"}
* @requires {"vue":"^2.5.6"}
* @see https://github.com/stasson/vue-mdc-adapter
*/
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueMDCToolbar=e()}(this,function(){"use strict";var t,e=function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")},i=function(){function t(t,e){for(var i=0;i<e.length;i++){var s=e[i];s.enumerable=s.enumerable||!1,s.configurable=!0,"value"in s&&(s.writable=!0),Object.defineProperty(t,s.key,s)}}return function(e,i,s){return i&&t(e.prototype,i),s&&t(e,s),e}}(),s=Object.assign||function(t){for(var e=1;e<arguments.length;e++){var i=arguments[e];for(var s in i)Object.prototype.hasOwnProperty.call(i,s)&&(t[s]=i[s])}return t},o=function(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e},a={props:{event:String,"event-target":Object,"event-args":Array},methods:{dispatchEvent:function(t){if(t&&this.$emit(t.type,t),this.event){var e=this.eventTarget||this.$root,i=this.eventArgs||[];e.$emit.apply(e,[this.event].concat(function(t){if(Array.isArray(t)){for(var e=0,i=Array(t.length);e<t.length;e++)i[e]=t[e];return i}return Array.from(t)}(i)))}}},computed:{listeners:function(){var t=this;return s({},this.$listeners,{click:function(e){return t.dispatchEvent(e)}})}}},n=function(){function t(){var i=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e(this,t),this.adapter_=i}return i(t,null,[{key:"cssClasses",get:function(){return{}}},{key:"strings",get:function(){return{}}},{key:"numbers",get:function(){return{}}},{key:"defaultAdapter",get:function(){return{}}}]),i(t,[{key:"init",value:function(){}},{key:"destroy",value:function(){}}]),t}(),r={FIXED:"mdc-toolbar--fixed",FIXED_LASTROW:"mdc-toolbar--fixed-lastrow-only",FIXED_AT_LAST_ROW:"mdc-toolbar--fixed-at-last-row",TOOLBAR_ROW_FLEXIBLE:"mdc-toolbar--flexible",FLEXIBLE_DEFAULT_BEHAVIOR:"mdc-toolbar--flexible-default-behavior",FLEXIBLE_MAX:"mdc-toolbar--flexible-space-maximized",FLEXIBLE_MIN:"mdc-toolbar--flexible-space-minimized"},l={TITLE_SELECTOR:".mdc-toolbar__title",ICON_SELECTOR:".mdc-toolbar__icon",FIRST_ROW_SELECTOR:".mdc-toolbar__row:first-child",CHANGE_EVENT:"MDCToolbar:change"},c={MAX_TITLE_SIZE:2.125,MIN_TITLE_SIZE:1.25,TOOLBAR_ROW_HEIGHT:64,TOOLBAR_ROW_MOBILE_HEIGHT:56,TOOLBAR_MOBILE_BREAKPOINT:600},u=function(t){function a(t){e(this,a);var i=o(this,(a.__proto__||Object.getPrototypeOf(a)).call(this,s(a.defaultAdapter,t)));return i.resizeHandler_=function(){return i.checkRowHeight_()},i.scrollHandler_=function(){return i.updateToolbarStyles_()},i.checkRowHeightFrame_=0,i.scrollFrame_=0,i.executedLastChange_=!1,i.calculations_={toolbarRowHeight:0,toolbarRatio:0,flexibleExpansionRatio:0,maxTranslateYRatio:0,scrollThresholdRatio:0,toolbarHeight:0,flexibleExpansionHeight:0,maxTranslateYDistance:0,scrollThreshold:0},i.fixed_=!1,i.fixedLastrow_=!1,i.hasFlexibleRow_=!1,i.useFlexDefaultBehavior_=!1,i}return function(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)}(a,n),i(a,null,[{key:"cssClasses",get:function(){return r}},{key:"strings",get:function(){return l}},{key:"numbers",get:function(){return c}},{key:"defaultAdapter",get:function(){return{hasClass:function(){return!1},addClass:function(){},removeClass:function(){},registerScrollHandler:function(){},deregisterScrollHandler:function(){},registerResizeHandler:function(){},deregisterResizeHandler:function(){},getViewportWidth:function(){return 0},getViewportScrollY:function(){return 0},getOffsetHeight:function(){return 0},getFirstRowElementOffsetHeight:function(){return 0},notifyChange:function(){},setStyle:function(){},setStyleForTitleElement:function(){},setStyleForFlexibleRowElement:function(){},setStyleForFixedAdjustElement:function(){}}}}]),i(a,[{key:"init",value:function(){this.fixed_=this.adapter_.hasClass(a.cssClasses.FIXED),this.fixedLastrow_=this.adapter_.hasClass(a.cssClasses.FIXED_LASTROW)&this.fixed_,this.hasFlexibleRow_=this.adapter_.hasClass(a.cssClasses.TOOLBAR_ROW_FLEXIBLE),this.hasFlexibleRow_&&(this.useFlexDefaultBehavior_=this.adapter_.hasClass(a.cssClasses.FLEXIBLE_DEFAULT_BEHAVIOR)),this.initKeyRatio_(),this.setKeyHeights_(),this.adapter_.registerResizeHandler(this.resizeHandler_),this.adapter_.registerScrollHandler(this.scrollHandler_)}},{key:"destroy",value:function(){this.adapter_.deregisterResizeHandler(this.resizeHandler_),this.adapter_.deregisterScrollHandler(this.scrollHandler_)}},{key:"updateAdjustElementStyles",value:function(){this.fixed_&&this.adapter_.setStyleForFixedAdjustElement("margin-top",this.calculations_.toolbarHeight+"px")}},{key:"getFlexibleExpansionRatio_",value:function(t){return Math.max(0,1-t/(this.calculations_.flexibleExpansionHeight+1e-4))}},{key:"checkRowHeight_",value:function(){var t=this;cancelAnimationFrame(this.checkRowHeightFrame_),this.checkRowHeightFrame_=requestAnimationFrame(function(){return t.setKeyHeights_()})}},{key:"setKeyHeights_",value:function(){var t=this.getRowHeight_();t!==this.calculations_.toolbarRowHeight&&(this.calculations_.toolbarRowHeight=t,this.calculations_.toolbarHeight=this.calculations_.toolbarRatio*this.calculations_.toolbarRowHeight,this.calculations_.flexibleExpansionHeight=this.calculations_.flexibleExpansionRatio*this.calculations_.toolbarRowHeight,this.calculations_.maxTranslateYDistance=this.calculations_.maxTranslateYRatio*this.calculations_.toolbarRowHeight,this.calculations_.scrollThreshold=this.calculations_.scrollThresholdRatio*this.calculations_.toolbarRowHeight,this.updateAdjustElementStyles(),this.updateToolbarStyles_())}},{key:"updateToolbarStyles_",value:function(){var t=this;cancelAnimationFrame(this.scrollFrame_),this.scrollFrame_=requestAnimationFrame(function(){var e=t.adapter_.getViewportScrollY(),i=t.scrolledOutOfThreshold_(e);if(!i||!t.executedLastChange_){var s=t.getFlexibleExpansionRatio_(e);t.updateToolbarFlexibleState_(s),t.fixedLastrow_&&t.updateToolbarFixedState_(e),t.hasFlexibleRow_&&t.updateFlexibleRowElementStyles_(s),t.executedLastChange_=i,t.adapter_.notifyChange({flexibleExpansionRatio:s})}})}},{key:"scrolledOutOfThreshold_",value:function(t){return t>this.calculations_.scrollThreshold}},{key:"initKeyRatio_",value:function(){var t=this.getRowHeight_(),e=this.adapter_.getFirstRowElementOffsetHeight()/t;this.calculations_.toolbarRatio=this.adapter_.getOffsetHeight()/t,this.calculations_.flexibleExpansionRatio=e-1,this.calculations_.maxTranslateYRatio=this.fixedLastrow_?this.calculations_.toolbarRatio-e:0,this.calculations_.scrollThresholdRatio=(this.fixedLastrow_?this.calculations_.toolbarRatio:e)-1}},{key:"getRowHeight_",value:function(){var t=a.numbers.TOOLBAR_MOBILE_BREAKPOINT;return this.adapter_.getViewportWidth()<t?a.numbers.TOOLBAR_ROW_MOBILE_HEIGHT:a.numbers.TOOLBAR_ROW_HEIGHT}},{key:"updateToolbarFlexibleState_",value:function(t){this.adapter_.removeClass(a.cssClasses.FLEXIBLE_MAX),this.adapter_.removeClass(a.cssClasses.FLEXIBLE_MIN),1===t?this.adapter_.addClass(a.cssClasses.FLEXIBLE_MAX):0===t&&this.adapter_.addClass(a.cssClasses.FLEXIBLE_MIN)}},{key:"updateToolbarFixedState_",value:function(t){var e=Math.max(0,Math.min(t-this.calculations_.flexibleExpansionHeight,this.calculations_.maxTranslateYDistance));this.adapter_.setStyle("transform","translateY("+-e+"px)"),e===this.calculations_.maxTranslateYDistance?this.adapter_.addClass(a.cssClasses.FIXED_AT_LAST_ROW):this.adapter_.removeClass(a.cssClasses.FIXED_AT_LAST_ROW)}},{key:"updateFlexibleRowElementStyles_",value:function(t){if(this.fixed_){var e=this.calculations_.flexibleExpansionHeight*t;this.adapter_.setStyleForFlexibleRowElement("height",e+this.calculations_.toolbarRowHeight+"px")}this.useFlexDefaultBehavior_&&this.updateElementStylesDefaultBehavior_(t)}},{key:"updateElementStylesDefaultBehavior_",value:function(t){var e=a.numbers.MAX_TITLE_SIZE,i=a.numbers.MIN_TITLE_SIZE,s=(e-i)*t+i;this.adapter_.setStyleForTitleElement("font-size",s+"rem")}}]),a}(),d={render:function(){var t=this,e=t.$createElement,i=t._self._c||e;return i("header",{staticClass:"mdc-toolbar-wrapper"},[i("div",{ref:"root",class:t.rootClasses,style:t.rootStyles},[t._t("default")],2),t._v(" "),t.fixed||t.waterfall||t.fixedLastrow?i("div",{ref:"fixed-adjust",staticClass:"mdc-toolbar-fixed-adjust",style:t.adjustStyles}):t._e()])},staticRenderFns:[],name:"mdc-toolbar",props:{fixed:Boolean,waterfall:Boolean,"fixed-lastrow":Boolean,flexible:Boolean,"flexible-default":{type:Boolean,default:!0}},data:function(){return{rootClasses:{"mdc-toolbar":!0,"mdc-toolbar--fixed":this.fixed||this.waterfall||this.fixedLastrow,"mdc-toolbar--waterfall":this.waterfall,"mdc-toolbar--fixed-lastrow-only":this.fixedLastrow,"mdc-toolbar--flexible":this.flexible,"mdc-toolbar--flexible-default-behavior":this.flexible&&this.flexibleDefault},rootStyles:{},adjustStyles:{},foundation:null}},mounted:function(){var t=this;this.foundation=new u({addClass:function(e){t.$set(t.rootClasses,e,!0)},removeClass:function(e){t.$delete(t.rootClasses,e)},hasClass:function(e){return t.$refs.root.classList.contains(e)},registerScrollHandler:function(t){window.addEventListener("scroll",t)},deregisterScrollHandler:function(t){window.removeEventListener("scroll",t)},registerResizeHandler:function(t){window.addEventListener("resize",t)},deregisterResizeHandler:function(t){window.removeEventListener("resize",t)},getViewportWidth:function(){return window.innerWidth},getViewportScrollY:function(){return window.pageYOffset},getOffsetHeight:function(){return t.$refs.root.offsetHeight},getFirstRowElementOffsetHeight:function(){var e=t.$refs.root.querySelector(u.strings.FIRST_ROW_SELECTOR);return e?e.offsetHeight:void 0},notifyChange:function(e){t.$emit("change",e)},setStyle:function(e,i){t.$set(t.rootStyles,e,i)},setStyleForTitleElement:function(e,i){var s=t.$refs.root.querySelector(u.strings.TITLE_SELECTOR);s&&s.style.setProperty(e,i)},setStyleForFlexibleRowElement:function(e,i){var s=t.$refs.root.querySelector(u.strings.FIRST_ROW_SELECTOR);s&&s.style.setProperty(e,i)},setStyleForFixedAdjustElement:function(e,i){t.$set(t.adjustStyles,e,i)}}),this.foundation.init()},beforeDestroy:function(){this.foundation.destroy()}},h={render:function(){var t=this.$createElement;return(this._self._c||t)("section",{staticClass:"mdc-toolbar-section mdc-toolbar__section",class:this.classes},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-section",props:{"align-start":Boolean,"align-end":Boolean,"shrink-to-fit":Boolean},data:function(){return{classes:{"mdc-toolbar__section--align-start":this.alignStart,"mdc-toolbar__section--align-end":this.alignEnd,"mdc-toolbar__section--shrink-to-fit":this.shrinkToFit}}}},f={render:function(){var t=this.$createElement;return(this._self._c||t)("a",this._g({staticClass:"mdc-toolbar-menu-icon mdc-toolbar__menu-icon",class:{"material-icons":!!this.icon}},this.listeners),[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-menu-icon",mixins:[a],props:{icon:{type:String,default:"menu"}}},_={render:function(){var t=this.$createElement;return(this._self._c||t)("a",this._g({staticClass:"mdc-toolbar-icon mdc-toolbar__icon",class:{"material-icons":!!this.icon}},this.listeners),[this._t("default",[this._v(this._s(this.icon))])],2)},staticRenderFns:[],name:"mdc-toolbar-icon",mixins:[a],props:{icon:String}},m={version:"0.15.0",install:function(e){for(var i in t){var s=t[i];e.component(s.name,s)}},components:t={mdcToolbar:d,mdcToolbarRow:{render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"mdc-toolbar-row mdc-toolbar__row"},[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-row"},mdcToolbarSection:h,mdcToolbarMenuIcon:f,mdcToolbarTitle:{render:function(){var t=this.$createElement;return(this._self._c||t)("a",this._g({staticClass:"mdc-toolbar-title mdc-toolbar__title"},this.listeners),[this._t("default")],2)},staticRenderFns:[],name:"mdc-toolbar-title",mixins:[a]},mdcToolbarIcon:_}};return function(t){var e=null;"undefined"!=typeof window?e=window.Vue:"undefined"!=typeof global&&(e=global.Vue),e&&e.use(t)}(m),m});
//# sourceMappingURL=toolbar.min.js.map
